Package com.documentum.fc.client

# Interface IDfModuleDescriptor

public interface IDfModuleDescriptor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfModuleCategory`
  `getCategory()`
  `IDfEnumeration`
  `getDependencyList()`
  `String`
  `getDocbaseName()`
  Gets the repository name of the module.
  `String`
  `getImplementationClassName()`
  `IDfEnumeration`
  `getInterfaceNames()`
  `IDfId`
  `getObjectId()`
  Gets the object identifier of the module.
  `String`
  `getObjectName()`
  Gets the object name of the module.
  `String`
  `getVersion()`
  Gets the version (r_version_label) of the module.
  `String`
  `getVersionStamp()`
  Gets the version stamp (i_vstamp) of the module.
  `boolean`
  `isDynamicallyProvisioned()`
  `boolean`
  `isPrivileged()`
  `void`
  `setDocbaseName(String docbaseName)`
  Deprecated.
  The object is immutable.
  `void`
  `setObjectId(IDfId objectId)`
  Deprecated.
  The object is immutable.
  `void`
  `setObjectName(String objectName)`
  Deprecated.
  The object is immutable.
  `void`
  `setVersionStamp(String vstamp)`
  Deprecated.
  The object is immutable.

- ## Method Details

  - ### getObjectId

    IDfId getObjectId()
    Gets the object identifier of the module.
    Returns:
      the object identifier of the module

  - ### getObjectName

    String getObjectName()
    Gets the object name of the module.
    Returns:
      the object name of the module

  - ### getDocbaseName

    String getDocbaseName()
    Gets the repository name of the module.
    Returns:
      the repository name

  - ### getVersionStamp

    String getVersionStamp()
    Gets the version stamp (i_vstamp) of the module.
    Returns:
      the version stamp of the module (i_vstamp)

  - ### getVersion

    String getVersion()
    Gets the version (r_version_label) of the module.
    Returns:
      the version of the module (r_version_label)

  - ### getImplementationClassName

    String getImplementationClassName()

  - ### getInterfaceNames

    IDfEnumeration getInterfaceNames()

  - ### getDependencyList

    IDfEnumeration getDependencyList()

  - ### getCategory

    IDfModuleCategory getCategory()

  - ### isDynamicallyProvisioned

    boolean isDynamicallyProvisioned()

  - ### isPrivileged

    boolean isPrivileged()

  - ### setObjectName

    @Deprecated void setObjectName(String objectName)
    Deprecated.
    The object is immutable. This method had no useful effect in previous versions.
    Sets the object name of the module.
    Parameters:
      `objectName` - ths object name

  - ### setObjectId

    @Deprecated void setObjectId(IDfId objectId)
    Deprecated.
    The object is immutable. This method had no useful effect in previous versions.
    Sets the object identifier of the module.
    Parameters:
      `objectId` - ths object identifier

  - ### setDocbaseName

    @Deprecated void setDocbaseName(String docbaseName)
    Deprecated.
    The object is immutable. This method had no useful effect in previous versions.
    Sets the repository name of the module.
    Parameters:
      `docbaseName` - the repository name

  - ### setVersionStamp

    @Deprecated void setVersionStamp(String vstamp)
    Deprecated.
    The object is immutable. This method had no useful effect in previous versions.
    Sets the version stamp of the module.
    Parameters:
      `vstamp` - the version stamp of the module (i_vstamp)